Bug 248297 - xen kernel fails to boot on Thinkpad X60 due to SATA errors
xen kernel fails to boot on Thinkpad X60 due to SATA errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-15 12:11 EDT by Joe Sadusk
Modified: 2009-12-14 15:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v output on the affected machine (9.23 KB, text/plain)
2007-09-30 12:06 EDT, Joe Sadusk
no flags Details
dmesg output for the affected machine (24.99 KB, text/plain)
2007-09-30 12:08 EDT, Joe Sadusk
no flags Details

  None (edit)
Description Joe Sadusk 2007-07-15 12:11:07 EDT
Description of problem:
Xen kernel fails to boot on a Thinkpad X60.  Seems to have problems detecting
the SATA controller.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.20-2925.11.fc7

How reproducible:
Consistently.

Steps to Reproduce:
1.  Boot a Xen kernel
  
Actual results:
Hangs for several minutes trying to initialize ata1, finally continues and
kernel panics right after a line about device-mapper.


Expected results:
Kernel should boot.

Additional info:
For several minutes, you see it repeating this text (I'm copying this by hand,
so bear with me if I make a mistake):

ata1: port is slow to respond, please e patient (Status 0x80)
ata1: port failed to respond (30 secs, Status 0x80)
ata1: COMRESET failed (device not ready)
ata1: hardreset failed, retrying in 5 secs
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata1.00: qc timeout (cmd 0xec)
ata1.00: failed to IDENTIFY (I/O error, err_mask=0x104)
Comment 1 Eduardo Habkost 2007-09-25 14:41:20 EDT
Could you show the part of 'lspci -v' output corresponding to the ATA 
controller?

The dmesg output of a kernel that boots properly on this hardware would be 
useful, too.
Comment 2 Joe Sadusk 2007-09-30 12:06:55 EDT
Created attachment 211821 [details]
lspci -v output on the affected machine
Comment 3 Joe Sadusk 2007-09-30 12:08:07 EDT
Created attachment 211831 [details]
dmesg output for the affected machine
Comment 4 Joe Sadusk 2007-09-30 12:10:02 EDT
Information you're looking for is attached.
Comment 5 Bug Zapper 2008-05-14 09:33:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:52:55 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.